# evennia.contrib.base_systems.ingame_python.commands

Module containing the commands of the in-game Python system.

class `evennia.contrib.base_systems.ingame_python.commands.``CmdCallback`(**kwargs)

  Bases: `evennia.commands.default.muxcommand.MuxCommand`

  Command to edit callbacks.

  `key` = '@call'
  `aliases` = ['@callbacks', '@callback', '@calls']
  `locks` = 'cmd:perm(developer)'
  `help_category` = 'building'
  `get_help`(caller, cmdset)

    Return the help message for this command and this caller.

    The help text of this specific command will vary depending on user permission.

    Parameters

      - caller (Object or Account) – the caller asking for help on the command.

      - cmdset (CmdSet) – the command set (if you need additional commands).

    Returns

      docstring (str) – the help text to provide the caller for this command.

  `func`()

    Command body.

  `list_callbacks`()

    Display the list of callbacks connected to the object.

  `add_callback`()

    Add a callback.

  `edit_callback`()

    Edit a callback.

  `del_callback`()

    Delete a callback.

  `accept_callback`()

    Accept a callback.

  `list_tasks`()

    List the active tasks.

  `lock_storage` = 'cmd:perm(developer)'
  `search_index_entry` = {'aliases': '@callbacks @callback @calls', 'category': 'building', 'key': '@call', 'no_prefix': 'call callbacks callback calls', 'tags': '', 'text': '\n Command to edit callbacks.\n '}